Subject: Re: What's cooking in git.git (Apr 2011, #07; Wed, 27)

From: Jakub Narebski <[email-masked]>
Date: Thu, 28 Apr 2011 12:39:02 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> What's cooking in git.git (Apr 2011, #07; Wed, 27)

> --------------------------------------------------
> [New Topics]

> * ft/gitweb-tar-with-gzip-n (2011-04-26) 1 commit
>   (merged to 'next' on 2011-04-26 at 8e59a0e)
>  + gitweb: supply '-n' to gzip for identical output
> 
> Will merge to "master" by the end of week #2.

Nice.
 
> --------------------------------------------------
> [Stalled]
> 
> * jn/gitweb-js (2011-04-15) 13 commits
>  - gitweb: Make JavaScript ability to adjust timezones configurable
>  - gitweb.js: Add UI for selecting common timezone to display dates
>  - gitweb: JavaScript ability to adjust time based on timezone
>  - gitweb: Unify the way long timestamp is displayed
>  - gitweb: Refactor generating of long dates into format_timestamp_html
>  - gitweb.js: Provide getElementsByClassName method (if it not exists)
>  - gitweb.js: Introduce gitweb/static/js/lib/cookies.js
>  - gitweb.js: Extract and improve datetime handling
>  - gitweb.js: Provide default values for padding in padLeftStr and padLeft
>  - gitweb.js: Update and improve comments in JavaScript files
>  - gitweb: Split JavaScript for maintability, combining on build
>  - Remove gitweb/gitweb.cgi and other legacy targets from main Makefile
>  - git-instaweb: Simplify build dependency on gitweb
> 
> I do not recall seeing this series much reviewed. Is everybody happy with
> this series?

I have just resend this series in cleaned up form, containing all the
fixes and extra patches; in fact nearly the same as 'jn/gitweb-js'
branch.  It includes comparison to J.H. patch.

I think it addresses all the issues Kevin and you found with previous
versions; I haven't heard from J.H. yet.

-- 
Jakub Narebski
Poland
ShadeHawk on #git